#ifndef _SYSTEMINFO_
#define _SYSTEMINFO_

//#include "BuildConditionals.h"
#include <Types.h>
#include <Gestalt.h>

//--------------------------------------------------------------------------------
inline Boolean HasGestalt(OSType selector, short gestaltBit)	
{
	long result;

	return (Gestalt(selector, &result) == noErr) && (result & (1 << gestaltBit));
}


#if CFMSYSTEMCALLS
	// If a function can come from a shared library, then we have to check for
	// the library as well as the gestalt selector

	#define HasLibrary(gestaltSelector, gestaltBit, entryPoint)			\
				(HasGestalt(gestaltSelector, gestaltBit)				\
				 && ((Ptr) entryPoint != (Ptr) kUnresolvedSymbolAddress))
#else
	#define HasLibrary(gestaltSelector, gestaltBit, entryPoint)			\
				HasGestalt(gestaltSelector, gestaltBit)
#endif


// Threads
//TO DO  this is used by process.cp, but it shouldn't be

#define qThreadManagerOptional (qSupportThreadManager && !qRequireThreadManager)

#if qThreadManagerOptional
	extern Boolean gHasThreadManager;
#else
	#define gHasThreadManager	qSupportThreadManager
#endif

#define HasThreadManager() gHasThreadManager


// QuickDrawGX

//#define qQuickDrawGXOptional (qSupportQuickDrawGX && !qRequireQuickDrawGX)

//#if qQuickDrawGXOptional
//	extern Boolean gHasQuickDrawGX;
//#else
//	#define gHasQuickDrawGX	qSupportQuickDrawGX
//#endif

//#define HasQuickDrawGX() gHasQuickDrawGX

//extern Boolean gHasColorQuickdraw;
//extern Boolean gHasDisplayManager;



#endif // _SYSTEMINFO_

